Skip to main content
POST
/
v1
/
funding
/
sources
Register a funding source
curl --request POST \
  --url https://api.getsly.ai/v1/v1/funding/sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "card",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "provider": "stripe",
  "setup_token": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "card",
    "provider": "stripe",
    "status": "unverified",
    "created_at": "2023-11-07T05:31:56Z",
    "last_four": "<string>",
    "bank_name": "<string>",
    "network": "<string>",
    "wallet_address": "<string>",
    "metadata": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Body

application/json
type
enum<string>
required
Available options:
card
account_id
string<uuid>
required
provider
enum<string>
required
Available options:
stripe,
adyen
setup_token
string
required

Tokenized card from your processor

Response

Source registered

data
object
required